<template>
    <v-container>
        <v-div>
            <v-text-field label="nome" placeholder="Nome"
            v-model="perfil.nome"></v-text-field>
             <v-text-field 
                label="Idade"  placeholder="Idade" type="Number"
                v-model="perfil.idade"></v-text-field>
            <v-textarea outlined label="Sobre mim" placeholder="Conte um pouco"
                v-model="perfil.desc"></v-textarea>
            <v-text-field label="Imagem" placeholder="link"
                v-model="perfil.imagem"></v-text-field>
            <v-row>
                <v-col>
                    <v-btn depressed color="success" block>Exp</v-btn>
                </v-col>
                <v-col>
                    <v-btn depressed color="primary" block @click="skillDialog = true">Skills</v-btn>
                </v-col>
            </v-row>
            <v-row>
                <v-col>
                    <v-btn depressed color="secondary" block>Salvar</v-btn>
                </v-col>
            </v-row>
        </v-div>

        <v-dialog v-model="skillDialog">
            <v-card>
                <v-card-title color="red darken-3" dark>
                    Adicione Skills
                </v-card-title>
                <v-container>
                    <v-form>
                        <v-text-field outlined label="Skill" 
                        color="red darken-3" v-model="skill.name"></v-text-field>
                        
                        <v-slider min="0" max="100" outlined
                        color="red darken-3" v-model="skill.points"></v-slider>
                        
                        <v-btn depressed color="red danken-3" dark
                        block @click="addSkill()">Add</v-btn>
                    </v-form>
                </v-container>
            </v-card>
        </v-dialog>

        <v-badge v-for="(item, i ) in listaSkills" 
        :key="i" 
        color="error" 
        :content="item.points" 
        overlap>
            <v-chip color="primary">
                {{ item.name }}
            </v-chip>
        </v-badge>

    </v-container>
</template>

<script>
export default {
    name: "ConfiguracaoPerfil",
    data: () => ({
        perfil: {},
        skill: {},
        listaSkills: [],
        skillDialog: false
    }),
    methods: {
        addSkill(){
            this.listaSkills.push(this.skill)
            this.skill = {}
            this.skillDialog = false
        }
    }
}
</script>

<style>

</style>